import Api from "~/service/Api";
export default class Ditopn{
    constructor () {
        this.data = {
						didgrp:{
							rec:{
								ownref:"",			//  Reference		.didgrp.rec.ownref
								opndat:"",			//  Date L/C Opened/Issued		.didgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.didgrp.rec.shpdat
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
								nam:"",			//  Externally Displayed Name to Identify the Contract		.didgrp.rec.nam
								resflg:"",			//  Reserved Contract		.didgrp.rec.resflg
								nomtop:"",			//  Amount Tolerance - Positive		.didgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.didgrp.rec.nomton
								expplc:"",			//  Place of Expiry		.didgrp.rec.expplc
								elcflg:"",			//  是否通过电证系统		.didgrp.rec.elcflg
								guaflg:"",			//  货押标识		.didgrp.rec.guaflg
								jyqflg:"",			//  假远期信用证		.didgrp.rec.jyqflg
								mytype:"",			//  槸易类型		.didgrp.rec.mytype
								dkflg:"",			//  开证类型		.didgrp.rec.dkflg
								idcode:"",			//  申请人统一社会信用代码		.didgrp.rec.idcode
								revtyp:"",			//  Revolving Type		.didgrp.rec.revtyp
								revtimes:"",			//  Revolve Times		.didgrp.rec.revtimes
								revnbr:"",			//  Number of Revolvings under L/C		.didgrp.rec.revnbr
								revdat:"",			//  Next Revolve Date		.didgrp.rec.revdat
								revawapl:"",			//  Awaiting Applicant's Request		.didgrp.rec.revawapl
								revcum:"",			//  Credit is Marked as Cumulative		.didgrp.rec.revcum
								redclsflg:"",			//  Red/Green Clause		.didgrp.rec.redclsflg
								rmbcha:"",			//  Charges Definition		.didgrp.rec.rmbcha
								rmbact:"",			//  Reimbursing Bank Account Identification		.didgrp.rec.rmbact
								apprulrmb:"",			//  Applicable Rules RMB		.didgrp.rec.apprulrmb
								autdat:"",			//  Date of Authorisation to Reimburse		.didgrp.rec.autdat
								avbby:"",			//  Available by		.didgrp.rec.avbby
								shppar:"",			//  Partial Shipment		.didgrp.rec.shppar
								shptrs:"",			//  Transshipment		.didgrp.rec.shptrs
								conno:"",			//  合同编号		.didgrp.rec.conno
								concur:"",			//  合同币种		.didgrp.rec.concur
								shpfro:"",			//  Shipment from		.didgrp.rec.shpfro
								shpto:"",			//  For Transportation to		.didgrp.rec.shpto
								shppro:"",			//  服务提供地点		.didgrp.rec.shppro
								tenmaxday:"",			//  Maximum tenor in days		.didgrp.rec.tenmaxday
								tratyp:"",			//  运输方式		.didgrp.rec.tratyp
								fqtime:"",			//  分期时镧表		.didgrp.rec.fqtime
								sdsrfs:"",			//  输入运输方式		.didgrp.rec.sdsrfs
								fqzytgfw:"",			//  分期装运/提供服务		.didgrp.rec.fqzytgfw
								conamt:"",			//  合同金额		.didgrp.rec.conamt
								tzref:"",			//  通知行编号		.didgrp.rec.tzref
								avbwth:"",			//  指定的有关银行  		.didgrp.rec.avbwth
								fenctg:"",			//  是否可议付		.didgrp.rec.fenctg
								bdflg:"",			//  是否可保兑		.didgrp.rec.bdflg
								lcrtyp:"",			//  Form of Documentary Credit		.didgrp.rec.lcrtyp
							},
							cbs:{
								nom1:{
									cur:"",			//  Currency		.didgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.didgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.didgrp.cbs.max.cur
									amt:"",			//  信用证最大金额		.didgrp.cbs.max.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.didgrp.apl.namelc
								adrelc:"",			//  地址		.didgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.didgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.didgrp.ben.namelc
								adrelc:"",			//  地址		.didgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.didgrp.ben.dbfadrblkcn
							},
							beb:{
								pts:new Pts().data,
							},
							apb:{
								pts:new Pts().data,
							},
							blk:{
								revcls:"",			//  Revolving Clause		.didgrp.blk.revcls
								revnotes:"",			//  Notes to Applicant		.didgrp.blk.revnotes
								lcrgod:"",			//  Description of Goods		.didgrp.blk.lcrgod
								lcrdoc:"",			//  单据要求		.didgrp.blk.lcrdoc
								adlcnd:"",			//  附加条款		.didgrp.blk.adlcnd
								insbnk:"",			//  付行的指示		.didgrp.blk.insbnk
								rmbcha:"",			//  Other Charges		.didgrp.blk.rmbcha
								defdet:"",			//  Deferred Payment Details		.didgrp.blk.defdet
								preper:"",			//  Presentation Period		.didgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.didgrp.blk.preperflg
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.didgrp.rmb.namelc
								adrelc:"",			//  地址		.didgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.didgrp.rmb.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							apc:{
								pts:new Pts().data,
							},
							avb:{
								pts:new Pts().data,
							},
							cmb:{
								pts:new Pts().data,
							},
						},
						ditp:{
							recget:{
								sdamod:{
									seainf:"",			//  		.ditp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.ditp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  User ID		.ditp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.ditp.usrget.sdamod.seainf
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.ditp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.ditp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.ditp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.ditp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							zchday:"",			//  最迟装运/服务提供日		.ditp.zchday
							amt:"",			//  大写金额		.ditp.amt
							hwfwms:"",			//  槧物/服务描述		.ditp.hwfwms
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.ditp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.ditp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbnar:"",			//  MT747 :77A:		.ditp.rmbnar
							fenzhu:"",			//  分期装运		.ditp.fenzhu
							hwzydi:"",			//  槧运装运地/服务提供低		.ditp.hwzydi
							sdysfs:"",			//  手输运输方式/服务提供方式		.ditp.sdysfs
							signam:"",			//  name of authorized signatory		.ditp.signam
							bennam:"",			//  english name		.ditp.bennam
							aplname:"",			//  apl english name		.ditp.aplname
							remark:"",			//  Remark		.ditp.remark
						},
						litbenl1blk:"",			//  XMLPanel litbenl1的内置block		.litbenl1blk
						litapll1blk:"",			//  XMLPanel litapll1的内置block		.litapll1blk
						litrmbl1blk:"",			//  XMLPanel litrmbl1的内置block		.litrmbl1blk
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
						},
						litameadv:"",			//  特殊规定		.litameadv
						ameadvrmk:"",			//  特殊规定条件		.ameadvrmk
						godnam:"",			//  槧物简称		.godnam
						bchname:"",			//  branch  name		.bchname
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
				}
    }
}